Subject: bug#46494: 28.0.50; [native-comp] Problems with async background compile

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Feb 2021 14:54:16 +0200

> From: Andy Moreton <[email-masked]>
> Date: Sat, 20 Feb 2021 12:09:06 +0000
> 
> >   M-: (signal-process PROC-ID 'SIGHUP) RET
> >
> > (where PROC-ID is the process ID of the Emacs subprocess running the
> > native compilation), do you see the same crash, or does the subprocess
> > exit cleanly?  To see the PROC-ID, you can use the Task manager or the
> > 'pslist' command from the PsTools suite.
> 
> I tried that by adding binding this to a key:
>   (defun signal-hup (proc)
>     (interactive "nProcess: ")
>     (signal-process proc 'SIGHUP))
> 
> On a x86_64-w64-mingw32 build, sending SIGHUP to a compilation
> subprocess results in the emacs abort dialog being shown briefly and
> then disappearing (without user interaction). That dialog should require
> pressing a button to dismiss it.

I think if the process dies or exits, the dialog is closed.

So, since you seem to be able to reproduce this with a simpler setup,
please try these:

  . repeat the experiment using 'SIGINT and 'SIGBREAK instead of
    'SIGHUP
  . repeat the experiment with w32-start-process-share-console set to
    a non-nil value (both with SIGHUP and the other 2 SIG* signals)

I'd be interested to know whether the results are different.

(If you have no time for these experiments, just leave this until I
get to testing the branch.  TIA.)